## com.google.appengine.api.datastore
Class DatastoreTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.datastore.DatastoreTimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class DatastoreTimeoutException

extends java.lang.RuntimeException

`DatastoreTimeoutException` is thrown when a datastore operation times out. This can happen when you attempt to put, get, or delete too many entities or an entity with too many properties, or if the datastore is overloaded or having trouble.

See Also:
  Serialized Form

Constructor Summary
`DatastoreTimeoutException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatastoreTimeoutException

    public DatastoreTimeoutException(java.lang.String message)